petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscSectionGetComponentName

Gets the name of a field component in the PetscSection

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetComponentName(PetscSection s, PetscInt field, PetscInt comp, const char *compName[])

Not Collective

### Input Parameters

| s | - the PetscSection
| field | - the field number
| comp | - the component number
| compName | - the component name

### See Also

PetscSectionSetComponentName()

### Level

intermediate

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages